Bug 1356645 - glibc: Further malloc arena free list management fix
Summary: glibc: Further malloc arena free list management fix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1356648
TreeView+ depends on / blocked
 
Reported: 2016-07-14 14:54 UTC by Florian Weimer
Modified: 2016-09-05 08:39 UTC (History)
10 users (show)

Fixed In Version: glibc-2.24-2.fc25, glibc-2.24.90-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1356648 (view as bug list)
Environment:
Last Closed: 2016-09-05 08:39:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 20370 None None None 2016-07-14 14:54:19 UTC
Red Hat Bugzilla 1281714 None None None Never

Internal Links: 1281714

Description Florian Weimer 2016-07-14 14:54:20 UTC
It turns out there is still a small race which can make the arena free list cyclic.

Comment 1 Florian Weimer 2016-07-14 15:01:44 UTC
This bug is due to an incorrect fix for bug 1281714.

Comment 2 Jan Kurik 2016-07-26 04:09:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Florian Weimer 2016-08-04 11:31:49 UTC
The upstream branches for 2.23, 2.24 and master now contain this fix.

Comment 4 Florian Weimer 2016-08-04 11:34:38 UTC
2.22 as well.

Comment 5 Fedora Update System 2016-08-18 14:56:14 UTC
glibc-2.24-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-57cba655d5

Comment 6 Fedora Update System 2016-08-18 15:16:40 UTC
glibc-2.23.1-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f050a0a6d

Comment 7 Fedora Update System 2016-08-18 16:53:39 UTC
glibc-2.24-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-57cba655d5

Comment 8 Fedora Update System 2016-08-19 00:58:22 UTC
glibc-2.23.1-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f050a0a6d

Comment 9 Fedora Update System 2016-08-19 19:52:21 UTC
glibc-2.23.1-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-08-27 10:22:42 UTC
glibc-2.24-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.